### Constructor

# Phosh BackgroundImage new_sync

#### Declaration [src]

    PhoshBackgroundImage*
    phosh_background_image_new_sync (
      GFile* file,
      GCancellable* cancellable,
      GError** error
    )

#### Description

No description available.

#### Parameters

`file`

  Type: `GFile`

  No description available.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `PhoshBackgroundImage`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.